getColClasses {CALIB} | R Documentation

## Construct colClasses vector for use within read.rg function

### Description

Construct a colClasses vector, an argument in read.table used in read.rg

### Usage

     getColClasses(cols,...)

### Arguments

`cols` | a character vector of all columns to search against
`...` | accepts any character lists, character vectors or weight functions to match wanted columns against cols

### Details

This is an internally called function by read.rg to create a colClasses vector used in read.table for fast loading of only required columns in read.rg

### Value

Character. A named vector of classes to assumed for the columns. Possible values are NA (when `type.convert` is used), NULL (when the column is skipped).

### Author(s)

Hui Zhao

### References

`getColClasses` in limma package

### Examples

    allcnames <- c("Block","Column","Row","Name","ID", "F635 Mean","F532 Mean","Flag","Autoflag")
    Annotation <- c("Block","Column")
    Columns <- list(R="F635 Mean",G="F532 Mean")

    getColClasses(allcnames, Annotation, Columns)

[Package CALIB version 1.10.0 Index]